> For the complete documentation index, see [llms.txt](https://docs.chiliz.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.chiliz.com/tr/gelistir/temel-ogeler/nasil-yapilir/cuzdan-bakiyesi-sorgulama.md).

# Cüzdan Bakiyesi Sorgulama

## Cüzdanın CHZ Bakiyesi Nedir?

Cüzdan bakiyesi, bir cüzdanın elinde bulundurduğu belirli bir kripto paranın toplam miktarına atıfta bulunur. Projenize bağlı olarak, tek bir kripto paranın bakiyesini veya bir cüzdanın elinde bulundurduğu tüm kripto paraların bakiyelerini görüntülemeniz gerekebilir.

Benzer şekilde, cüzdan varlıkları, bir kripto cüzdanında depolanan ve yönetilen tüm kripto para, token ve dijital varlık türlerini ifade eder.

## Moralis ile Nasıl Yapılır

Moralis'in kullanabileceğiniz bir [Wallet API](https://moralis.com/api/wallet/)'si vardır ve cüzdan bakiyesi kullanım senaryosu için hatta bir kod örneği bile sunmaktadırlar:

* [Bir adresin native bakiyesi nasıl alınır](https://docs.moralis.io/web3-data-api/evm/wallet-api/how-to-get-the-balance-of-a-wallet)

Kod örneklerini uyarlamak için Ethereum referansını Chiliz Chain için kullandıkları kimlik olan `0x15b38` ile değiştirmemiz gerekir:

```typescript
import Moralis from "moralis";

const runApp = async() => {
  await Moralis.start({
    apiKey: "YOUR_API_KEY",
    // ...ve diğer yapılandırmalar
  });

  const address = "0xYourWalletAddress";

  const chain = "0x15b38", // Bu Chiliz Chain Mainnet içindir.
                           // Spicy Testnet için "0x15b32" kullanın.

  const response = await Moralis.EvmApi.balance.getNativeBalance({
    address,
    chain,
  });

  console.log(response.toJSON());
};

runApp();
```

## Tatum ile Nasıl Yapılır

Tatum'ın kullanabileceğiniz kapsamlı bir [Veri API'si](https://tatum.io/blockchain-api) vardır ve varlık alımı kullanım senaryosu için hatta bir kod örneği de sunmaktadırlar:

* [Cüzdanın elinde bulundurduğu tüm varlıkları al](https://docs.tatum.io/docs/get-all-assets-the-wallet-holds)

Kod örneklerini uyarlamak için Ethereum referansını Chiliz Chain ile değiştirmemiz gerekir:

```typescript
import {TatumSDK, Network, Chiliz, ResponseDto, AddressBalance} from '@@tatumio/tatum'

const tatum = await TatumSDK.init<Chiliz>({network: Network.CHILIZ})

const balance: ResponseDto<AddressBalance[]> = await tatum.address.getBalance({
  addresses: ['0xYourWalletAddress'], // adresinizle değiştirin
})

console.log(balance.data)
```

## thirdweb ile Nasıl Yapılır

thirdweb'in belgelerinde ilham kaynağı olarak kullanabileceğimiz çeşitli kısa kod örnekleri bulunmaktadır.

* [Cüzdan bakiyesini al](https://portal.thirdweb.com/connect/in-app-wallet/how-to/interact-with-wallets#get-wallet-balance)

İşte [Chiliz için uyarlanmış](https://thirdweb.com/chiliz-chain) kodları:

```typescript
const sdk = new ThirdwebSDK("https://88888.rpc.thirdweb.com");
const walletAddress = "0xYourWalletAddress";

async function getWalletBalance() {
  try {
    const balance = await sdk.getBalance(walletAddress);
    console.log(`Cüzdan bakiyesi ${walletAddress}: ${balance.displayValue} ${balance.symbol}`);
  } catch (error) {
    console.error("Cüzdan bakiyesi alınırken hata oluştu:", error);
  }
}

getWalletBalance();
```

## Nodit ile Nasıl Yapılır

Nodit, [belgelerinde](https://developer.nodit.io/reference/chiliz-getnativebalancebyaccount) şu kod örneğini sunmaktadır:

```typescript
const url = 'https://web3.nodit.io/v1/chiliz/mainnet/native/getNativeBalanceByAccount';
const options = {
  method: 'POST',
  headers: {
    accept: 'application/json',
    'content-type': 'application/json',
    'X-API-KEY': 'nodit-demo'
  },
  body: JSON.stringify({accountAddress: '0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045'})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.chiliz.com/tr/gelistir/temel-ogeler/nasil-yapilir/cuzdan-bakiyesi-sorgulama.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
